Bug 236621 - Update: emulators/mame: update to 0.209
Summary: Update: emulators/mame: update to 0.209
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-18 20:40 UTC by sirdice
Modified: 2019-04-30 21:00 UTC (History)
1 user (show)

See Also:


Attachments
svn diff update to 0.207 (20.05 KB, patch)
2019-03-18 20:40 UTC, sirdice
no flags Details | Diff
svn diff for emulators/mess slave port (5.13 KB, patch)
2019-03-18 20:41 UTC, sirdice
no flags Details | Diff
svn diff update to 0.209 (21.26 KB, patch)
2019-04-29 18:45 UTC, sirdice
no flags Details | Diff
svn diff for emulators/mess slave port (6.10 KB, patch)
2019-04-29 18:47 UTC, sirdice
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sirdice 2019-03-18 20:40:18 UTC
Created attachment 202963 [details]
svn diff update to 0.207

Two svn patches added to update emulators/mame and emulators/mess to 0.207. 

Makefile required a bit of tinkering. Had to add an additional $REINPLACE_CMD to get all the 'util/png.h' -> 'util/localpng.h' correct. I tried to fix it in the grep above but it kept missing one file. This was the simplest and most stable way.

pkg-plist needed some files added and removed. 

Patch files was a bit messy.

svn remove files/patch-scripts_toolchain.lua
svn remove files/patch-src_lib_netlist_plib_pparser.h
svn remove files/patch-src_lib_netlist_plib_pparser.cpp
svn move files/patch-src__osd__eigccx86.h files/patch-src_osd_eigccx86.h
svn move files/patch-src__osd__eminline.h files/patch-src_osd_eminline.h
svn remove files/patch-asio-libc++7
svn add files/patch-3rdparty_asio_include_asio_detail_config.hpp

Removed:
 files/patch-scripts_toolchain.lua
 files/patch-src_lib_netlist_plib_pparser.cpp
 files/patch-src_lib_netlist_plib_pparser.h

They were not needed any more.

Renamed:
 files/patch-src__osd__eigccx86.h -> files/patch-src_osd_eigccx86.h
 files/patch-src__osd__eminline.h -> files/patch-src_osd_eminline.h

Naming convention fix. 

Removed: 
 files/patch-asio-libc++7
Added:
 files/patch-3rdparty_asio_include_asio_detail_config.hpp

Patch file deals with the same file and basically does the same thing. But I had to redo it as it failed to patch the new source. The git commit reference at the top of the old file didn't make sense to me, it appeared to be pointing at something completely unrelated to this patch. New patch file named according to naming convention. 

Added also an update for the emulators/mess slave port. It had similar pkg-plist changes. Not sure why a separate mess port still exists, updated it because emulators/qmc2 depends on it.
Comment 1 sirdice 2019-03-18 20:41:18 UTC
Created attachment 202964 [details]
svn diff for emulators/mess slave port
Comment 2 sirdice 2019-04-29 18:38:17 UTC
MAME 0.208 came and went. Now it's 0.209.
Comment 3 sirdice 2019-04-29 18:45:48 UTC
Created attachment 204098 [details]
svn diff update to 0.209

MAME 0.208 came and went. I was testing a patch for it but 0.209 was released before I finished. 

Updated patch diff to get to 0.209. Subversion instructions remain the same.
Comment 4 sirdice 2019-04-29 18:47:08 UTC
Created attachment 204099 [details]
svn diff for emulators/mess slave port

Updated pkg-plist for emulators/mess.
Comment 5 Kurt Jaeger freebsd_committer 2019-04-30 01:50:17 UTC
testbuilds@work
Comment 6 Kurt Jaeger freebsd_committer 2019-04-30 05:32:32 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2019-04-30 05:32:43 UTC
A commit references this bug:

Author: pi
Date: Tue Apr 30 05:32:17 UTC 2019
New revision: 500456
URL: https://svnweb.freebsd.org/changeset/ports/500456

Log:
  emulators/mame: upgrade 0.200 -> 0.209
  emulators/mess: upgrade slave port pkg-plist

  PR:		236621
  Submitted by:	sirdice@gmail.com
  Relnotes:	https://www.mamedev.org/releases/whatsnew_0209.txt
  		https://mamedev.org/releases/whatsnew_0208.txt
  		https://mamedev.org/releases/whatsnew_0207.txt
  		...

Changes:
  head/emulators/mame/Makefile
  head/emulators/mame/distinfo
  head/emulators/mame/files/patch-3rdparty_asio_include_asio_detail_config.hpp
  head/emulators/mame/files/patch-asio-libc++7
  head/emulators/mame/files/patch-scripts_toolchain.lua
  head/emulators/mame/files/patch-src__osd__eigccx86.h
  head/emulators/mame/files/patch-src__osd__eminline.h
  head/emulators/mame/files/patch-src_lib_netlist_plib_pparser.cpp
  head/emulators/mame/files/patch-src_lib_netlist_plib_pparser.h
  head/emulators/mame/pkg-plist
  head/emulators/mess/pkg-plist
Comment 8 sirdice 2019-04-30 11:29:26 UTC
Thanks for the time to commit it.

But I believe a mistake has been made. Two patch files should have been renamed but are now deleted and are causing build failures. 

svn move files/patch-src__osd__eigccx86.h files/patch-src_osd_eigccx86.h
svn move files/patch-src__osd__eminline.h files/patch-src_osd_eminline.h

Restoring those two would be fine too. I only renamed them to make them conform to the naming convention.
Comment 9 commit-hook freebsd_committer 2019-04-30 16:14:55 UTC
A commit references this bug:

Author: pi
Date: Tue Apr 30 16:14:06 UTC 2019
New revision: 500501
URL: https://svnweb.freebsd.org/changeset/ports/500501

Log:
  emulators/mame: revert r500456 and reapply with fixes

  PR:		236621
  Reported by:	Remko C. <sirdice@gmail.com>
  Pointy hat to:	pi

Changes:
  head/emulators/mame/Makefile
  head/emulators/mame/distinfo
  head/emulators/mame/files/patch-3rdparty_asio_include_asio_detail_config.hpp
  head/emulators/mame/files/patch-asio-libc++7
  head/emulators/mame/files/patch-scripts_toolchain.lua
  head/emulators/mame/files/patch-src__osd__eigccx86.h
  head/emulators/mame/files/patch-src__osd__eminline.h
  head/emulators/mame/files/patch-src_lib_netlist_plib_pparser.cpp
  head/emulators/mame/files/patch-src_lib_netlist_plib_pparser.h
  head/emulators/mame/pkg-plist
Comment 10 Kurt Jaeger freebsd_committer 2019-04-30 17:49:26 UTC
Hmm, with the patches, the port fails on 11.2amd64:

https://people.freebsd.org/~pi/logs/emulators__mame-112-1556641451.txt

which surprises me. A second attempt suceeded. Strange.
Comment 11 commit-hook freebsd_committer 2019-04-30 17:51:16 UTC
A commit references this bug:

Author: pi
Date: Tue Apr 30 17:50:29 UTC 2019
New revision: 500513
URL: https://svnweb.freebsd.org/changeset/ports/500513

Log:
  emulators/mame: upgrade 0.200 -> 0.209

  - 2nd attempt, with additional patches

  PR:  236621
  Submitted by: sirdice@gmail.com
  Relnotes: https://www.mamedev.org/releases/whatsnew_0209.txt
  	https://mamedev.org/releases/whatsnew_0208.txt
  	https://mamedev.org/releases/whatsnew_0207.txt
  	...

Changes:
  head/emulators/mame/Makefile
  head/emulators/mame/distinfo
  head/emulators/mame/files/patch-3rdparty_asio_include_asio_detail_config.hpp
  head/emulators/mame/files/patch-3rdparty_bx_include_bx_platform.h
  head/emulators/mame/files/patch-3rdparty_bx_src_mutex.cpp
  head/emulators/mame/files/patch-3rdparty_bx_src_thread.cpp
  head/emulators/mame/files/patch-asio-libc++7
  head/emulators/mame/files/patch-makefile
  head/emulators/mame/files/patch-scripts_toolchain.lua
  head/emulators/mame/files/patch-src__osd__eigccx86.h
  head/emulators/mame/files/patch-src__osd__eminline.h
  head/emulators/mame/files/patch-src_lib_netlist_plib_pparser.cpp
  head/emulators/mame/files/patch-src_lib_netlist_plib_pparser.h
  head/emulators/mame/files/patch-src_osd_eigccx86.h
  head/emulators/mame/files/patch-src_osd_eminline.h
  head/emulators/mame/files/patch-src_osd_modules_file_posixptty.cpp
  head/emulators/mame/pkg-plist
Comment 12 sirdice 2019-04-30 20:55:49 UTC
(In reply to Kurt Jaeger from comment #10)

This seems to be the culprit:
In file included from ../../../../../src/mame/drivers/konamigq.cpp:76:
../../../../../src/devices/cpu/tms57002/tms57002.h:208:10: fatal error: '../../emu/cpu/tms57002/tms57002.hxx' file not found
#include "../../emu/cpu/tms57002/tms57002.hxx"
         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1 error generated.
gmake[3]: *** [konami.make:1745: ../../../../freebsd/obj/x64/Release/src/mame/drivers/konamigq.o] Error 1

The missing .hxx file appears to be generated dynamically at some point. Unfortunately, the whole build process is about as clear as mud to me. Make just fires off a whole bunch of LUA scripts that do all sorts of wonderful things. Then a bunch of Python scripts are used.

> which surprises me. A second attempt suceeded. Strange.
A fluke? I'm going to setup a bunch of test jails with different versions just in case. I really only looked at AMD64 and 12-STABLE. But my changes to get it working from 0.200 to 0.209 were quite minimal once I understood what the previous patch files tried to do. 

Thanks for commiting it, sorry about the mixup with the patch files. I really like MAME. I'm going to persevere trying to figure out how it all works :)
Comment 13 Kurt Jaeger freebsd_committer 2019-04-30 20:59:55 UTC
(In reply to sirdice from comment #12)
So it's probably not consistently build in multi-core build runs.

Do you have a server at hand that has lots of cores to test this ?
Comment 14 Kurt Jaeger freebsd_committer 2019-04-30 21:00:23 UTC
Closing this, new patches please to new PRs 8-)